Creates a new purchase order order line
Request Information
URI Parameters :
None.
Body Parameters :
purchase_order_details| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| purchase_order_id |
Foreign key of the purchase_order |
globally unique identifier |
Optionally required : purchase_order_id, purchase_order_reference or purchase_order must be provided |
| purchase_order_reference_back_office |
Embedded entity "purchase_order" using ERP PK when adding/updating |
string |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| purchase_order |
Embedded entity "purchase_order" when adding/updating |
purchase_order |
Optionally required : purchase_order_id, purchase_order_reference_back_office or purchase_order must be provided |
| article_id |
Foreign key of article |
globally unique identifier |
Optionally required : article_id, article_code or article must be provided |
| article_code |
Embedded entity "article" using ERP PK when adding/updating |
string |
Optionally required : article_id, article_code or article must be provided |
| article |
Embedded entity "article" when adding/updating |
article |
Optionally required : article_id, article_code or article must be provided |
| line_number |
Line Number, auto filled with (Highest+1) if value is 0/null |
integer | |
| code |
Code of the article (auto filled if empty) |
string |
Max length: 255 |
| supplier_code |
Code of the supplier for this article |
string |
Max length: 255 |
| name |
Article Name (will be auto filled if article.name+description are empty) |
string |
Max length: 255 |
| description |
Article description (will be auto filled by article.short_description if name+description are empty) |
string |
Max length: 255 |
| price |
Unit Price |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ Range: inclusive between 0.1 and 1.79769313486232E+308 |
| quantity |
Quantity |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| memo |
Line memo/remark |
string | |
| cost_price |
Unit Cost Price (statistic purpose) |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "23128186-ca88-4454-b48f-681f0a3ddcbd",
"purchase_order_id": "966ab541-63b4-4be9-aa9f-7aa06025d568",
"purchase_order_reference_back_office": "sample string 3",
"purchase_order": {
"id": "e391c445-2a73-461d-8000-eb427fdbfea8",
"id2": 2,
"jobs_id": "615a0053-aeb2-4060-817f-20b3a75eb9ab",
"jobs_reference_back_office": "sample string 4",
"supplier_company_id": "9d9faf96-3d1c-43bd-a7bd-d9b953b6d124",
"supplier_company_code": "sample string 6",
"user_id": "5006e127-bcab-4836-80a2-5fa29d9598d8",
"user_code": "sample string 8",
"description": "sample string 9",
"memo": "sample string 10",
"total_lines": 11,
"date_create": "2026-11-20T12:24:52.6829667+00:00",
"date_update": "2026-11-20T12:24:52.7025604+00:00",
"date_delivery": "2026-11-20T12:24:52.7025604+00:00",
"confirmed_date_delivery": "2026-11-20T12:24:52.7025604+00:00",
"delivery_db_address_id": "7b8f2a07-becf-43bf-8733-75708397faef",
"approved_by_user_id": "a0088e80-78df-4c10-a427-5e0863d71312",
"approved_by_user_code": "sample string 18",
"technical_user_id": "5e759514-c23d-4342-bc5b-b490c91c6e1e",
"technical_user_code": "sample string 20",
"purchase_order_status_id": "c11c2d22-a6b4-4f76-99c4-2b2a8099fb2d",
"purchase_order_status_code": "sample string 22",
"article_stock_location_id": "df4bf331-72c2-4b59-ba49-52cd66e8557a",
"is_pickup": true,
"reference_back_office": "sample string 25",
"modified_dateutc": "2026-11-20T12:24:52.7025604+00:00"
},
"article_id": "0c4c6021-c9fc-4c5e-903c-ed16596d3d1c",
"article_code": "sample string 5",
"article": {
"id": "d2f10857-4393-4365-8044-bcfad00f6fbc",
"article_category_id": "28d50867-6913-415d-a31a-92b0997dc967",
"article_category": {
"id": "12cd3e9e-9b74-44c4-aee7-d1bfc094b9a3",
"parent_id": "ce181b68-2e37-455c-b854-fd612a49190d",
"parent_code": "sample string 3",
"code": "sample string 4",
"name": "sample string 5",
"modified_dateutc": "2026-11-20T12:24:52.7025604+00:00"
},
"article_category_code": "sample string 3",
"article_group_1_id": "fcfa7f1e-94b5-49eb-ab06-b035acab7cb1",
"article_group_1_code": "sample string 5",
"article_group_2_id": "a2a48526-97c8-4d62-96c2-c008ce97db91",
"article_group_2_code": "sample string 7",
"article_group_3_id": "0380c370-5f0f-483b-9223-86e80c04c688",
"article_group_3_code": "sample string 9",
"article_group_4_id": "32e8a4de-2f1f-4fc8-9218-ad434ed8b39c",
"article_group_4_code": "sample string 11",
"article_group_5_id": "00729b42-0afb-440c-a2fa-44a430f7f5dd",
"article_group_5_code": "sample string 13",
"article_group_6_id": "01a2cac8-d49e-416c-a4ee-61223dd2c635",
"article_group_6_code": "sample string 15",
"physical_stock": 16,
"back_order_client": 17,
"back_order_supplier": 18,
"expected_delivery_date_bo_supplier": "2026-11-20T12:24:52.7025604+00:00",
"article_increment": 20,
"min_article_quantity": 21,
"entered_price": 22.0,
"cost_price": 23.1,
"no_stock": true,
"archived": true,
"is_travel_fee": true,
"is_mileage_fee": true,
"code": "sample string 28",
"name": "sample string 29",
"description_short": "sample string 30",
"description_long": "sample string 31",
"barcode": "sample string 32",
"notes": "sample string 33",
"date_create": "2026-11-20T12:24:52.7025604+00:00",
"date_update": "2026-11-20T12:24:52.7025604+00:00",
"modified_dateutc": "2026-11-20T12:24:52.7025604+00:00",
"article_color_id": "eba37492-ace0-4d43-8102-d3cb0a6da459",
"article_color_code": "sample string 38",
"article_color": {
"id": "f77ffc29-b985-4bb8-897d-2b8ed14fd874",
"name": "sample string 2",
"code": "sample string 3",
"modified_dateutc": "2026-11-20T12:24:52.7025604+00:00"
},
"warranty_period_nb_months": 39,
"use_serial": true,
"_replace_id": "4a4a0c4b-2991-436c-ae66-8f934ec02623",
"replace_article_code": "sample string 42",
"db_unit_of_measure_id_selling": "82b37eee-df7c-42c3-a7f7-3a443553075a",
"db_unit_of_measure_code_selling": "sample string 44",
"translations": [
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
},
{
"field_name": "sample string 1",
"language_code": "sample string 2",
"value_translated": "sample string 3"
}
]
},
"line_number": 6,
"code": "sample string 7",
"supplier_code": "sample string 8",
"name": "sample string 9",
"description": "sample string 10",
"price": 11.0,
"quantity": 12.0,
"memo": "sample string 13",
"cost_price": 14.0,
"reference_back_office": "sample string 15",
"modified_dateutc": "2026-11-20T12:24:52.7142113+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.